MONGOC_APM_COMMAND_FAILED_GET_SERVER_CONNECTION_ID(3)

NAME
mongoc_apm_command_failed_get_server_connection_id - mongoc_apm_command_failed_get_server_connection_id()

SYNOPSIS

int32_t
mongoc_apm_command_failed_get_server_connection_id (
   const mongoc_apm_command_failed_t *event);

Returns this event's context.

Returns the server connection ID for the command. The server connection ID is distinct from the server ID (mongoc_apm_command_failed_get_server_id()) and is returned by the hello or legacy hello response as "connectionId" from the server on 4.2+.

PARAMETERS

•   event: A mongoc_apm_command_failed_t.

RETURNS

The server connection ID as a positive integer or -1 if it is not available.

SEE ALSO:
Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc